Package eu.mhsl.minenet.minigames.world.generator.structures

# Class Structure

java.lang.Object
eu.mhsl.minenet.minigames.world.generator.structures.Structure

Direct Known Subclasses:
  `PeakRock`

public abstract class Structure extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Random`
  `rnd`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Structure()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `generateGame(net.minestom.server.instance.block.Block.Setter setter)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### rnd

    protected final Random rnd

- ## Constructor Details

  - ### Structure

    public Structure()

- ## Method Details

  - ### generateGame

    public abstract void generateGame(net.minestom.server.instance.block.Block.Setter setter)